ALAS-2018-1106


Amazon Linux AMI Security Advisory: ALAS-2018-1106
Advisory Release Date: 2018-12-07 00:32 Pacific
Severity: Medium
References: CVE-2018-14648 

Issue Overview:

It was found that a specially crafted search query could lead to excessive CPU consumption in the do_search() function. An unauthenticated attacker could use this flaw to provoke a denial of service.(CVE-2018-14648 )


Affected Packages:

389-ds-base


Issue Correction:
Run yum update 389-ds-base to update your system.

New Packages:
i686:
    389-ds-base-snmp-1.3.8.4-18.60.amzn1.i686
    389-ds-base-libs-1.3.8.4-18.60.amzn1.i686
    389-ds-base-debuginfo-1.3.8.4-18.60.amzn1.i686
    389-ds-base-1.3.8.4-18.60.amzn1.i686
    389-ds-base-devel-1.3.8.4-18.60.amzn1.i686

src:
    389-ds-base-1.3.8.4-18.60.amzn1.src

x86_64:
    389-ds-base-debuginfo-1.3.8.4-18.60.amzn1.x86_64
    389-ds-base-devel-1.3.8.4-18.60.amzn1.x86_64
    389-ds-base-libs-1.3.8.4-18.60.amzn1.x86_64
    389-ds-base-1.3.8.4-18.60.amzn1.x86_64
    389-ds-base-snmp-1.3.8.4-18.60.amzn1.x86_64